summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2017-02-28 10:46:39 -0600
committerMatthew Thode <prometheanfire@gentoo.org>2017-02-28 10:46:39 -0600
commitb55fc9e33ee60230a7ed7046e1432e9a2cc8c5e9 (patch)
tree86676f2d13814243c906d8f68c320d68aaf15175 /dev-python
parentsys-cluster/nova: bup (diff)
downloadgentoo-b55fc9e33ee60230a7ed7046e1432e9a2cc8c5e9.tar.gz
gentoo-b55fc9e33ee60230a7ed7046e1432e9a2cc8c5e9.tar.bz2
gentoo-b55fc9e33ee60230a7ed7046e1432e9a2cc8c5e9.zip
dev-python/keyring: bup
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/keyring/Manifest1
-rw-r--r--dev-python/keyring/keyring-10.3.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/keyring/Manifest b/dev-python/keyring/Manifest
index 8d64e2a00e9..1462a73d9ad 100644
--- a/dev-python/keyring/Manifest
+++ b/dev-python/keyring/Manifest
@@ -1,4 +1,5 @@
DIST keyring-10.0.2.tar.gz 36587 SHA256 91c31fd805b3ce6343406c7c51437f7505f3e9abb6e14ccac8242ea1fc912d77 SHA512 e9018415e99c50d806e2c1d4a057551afedbd91efef7163ceac150f2b0857244ba6ab7cb867596a94b96ea23eb6b0b765ccd62ce7283e52d1d926c15cf92f9ba WHIRLPOOL 2be86bde3cf433a8129f34428206f0ce345a29de58ed229e1e074a5822dc922b5e0216a5748c75961a8df863ad7bf7554faf592cc6cde7f363c21b6b08baf944
DIST keyring-10.1.tar.gz 37088 SHA256 af7f02d8ad957523842651f1a2247ff178c387476f7d366880f04fd195468f2f SHA512 955cc59eaef2f8fd690ee68e646196c1579fcae227c8df5012f3a884a7f596d964a8a2f1a37c17dc7f7c34a4aea88920e95e0adfbaf25a7a0f7474274696bae6 WHIRLPOOL b827d42553175a06bdeb21e08a5e702d81b4debaed25f98ad16e7319d493c82e7f9541c39e97db1584a901a892096af8c2206f345321fd4f2da834db67714915
DIST keyring-10.2.tar.gz 37110 SHA256 bf49be09b31db401791bde1799da30d6926e7de2f0fb836c3dfc85aa5538a572 SHA512 ee2bb8e612d542ed4cf28f911d436a4b27a04eda0407f8a638189098c729d5e2aa70205783f5320fbbd4a5cdd524f12796880e46f9d1369ff27d2346e5959040 WHIRLPOOL 889550e38e65af3b188037083fe4101169454fce374fe8bddd621e6beaf187943aa18c3d37bbcfb405db1b1de930a9578800744f6f555526264acbf53c2a4503
+DIST keyring-10.3.tar.gz 38131 SHA256 220a92af8119eb38e7f9afbdf8c2c93eef8186cc39e9ab2a0e4c80807df00e45 SHA512 3f7408075724f5e299d0417ea9ee8e072c8dc28b6daa152ec69e6d6b254bd3af20e4656562fce49a68925b17a74e07e5241b362039b4b7eca64f317a6d464717 WHIRLPOOL 3fbdadf0bf0b58d0579893f65567d8ecfa0c344206af692c0658c708edb14fc3aa0dd0d0636cef7088c1a96dace5a786c487f109bcdb8b6544391cc335ee4cd4
DIST keyring-9.3.1.tar.gz 40579 SHA256 3be74f6568fcac1350b837d7e46bd3525e2e9fe2b78b3a3a87dc3b29f24a0c00 SHA512 b899e45e479806e9d01cb490925e291608dfa32bdac212a09922c2fa11196bf18b3ccdefd05aa3777588df43f1dbc5352d6705b93cae23bc7525c727254a938c WHIRLPOOL 5e0213331bafa0e387129f6ae705835cfb01aac3daadd2e142b3ebccc9b6bde1c2ebf7ba30610a89bbcffe728f1fc6efa42227ab2afccef81144ec3d0a7cc935
diff --git a/dev-python/keyring/keyring-10.3.ebuild b/dev-python/keyring/keyring-10.3.ebuild
new file mode 100644
index 00000000000..fbafe6870bd
--- /dev/null
+++ b/dev-python/keyring/keyring-10.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Provides access to the system keyring service"
+HOMEPAGE="https://github.com/jaraco/keyring"
+SRC_URI="mirror://pypi/k/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="PSF-2"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ dev-python/secretstorage[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+ )"
+RDEPEND=""
+
+python_test() {
+ py.test -v -v || die "testsuite failed under ${EPYTHON}"
+}